function tsg_plotmap(hTsgGUI, hAxes)
% Function to plot the earth map and ship trackline
%
% Input
% -----
% hTsgGUI ............ Handel to the main user interface
% hPlotAxes .......... Handels to the graphic axes
%
% Output
% ------
%
% Library : 'M_MAP' 
%
% PROBLEM NOT YET RESOLVED
%    Does M_MAP use 0-360 or -180-180 covention ?
% $Id$

% Retrieve named application data
% -------------------------------
tsg = getappdata( hTsgGUI, 'tsg_data');

% Positionning the right axes
% ----------------------------
axes(hAxes(4));

% Use of Mercator projection
% --------------------------
m_proj('Mercator','lat',[-70 70],'long',[-180 180]);

% detailed coast lines
% m_gshhs_i('patch',[.7 .7 .7]);

% Less detailed coast lines
% m_gshhs_l('patch',[.7 .7 .7]);

% Lesser  detailed coast lines
% ----------------------------
m_coast('patch',[.7 .7 .7]);

m_grid('box','fancy','tickdir','in', ...
       'ytick', [-70:20:70],...
       'xtick', [-180:40:180],...
       'Fontsize', [10]);
            
% Plot the ship track - Check if LAT-LON in deg-decimal
% -----------------------------------------------------
m_line(tsg.LONGITUDE,tsg.LATITUDE,'marker','.','markersize',3,'color','b');

end
